## org.eclipse.datatools.sqltools.data.internal.core.editor
Interface ITableData2

All Superinterfaces:
  ITableData

All Known Implementing Classes:
  TableDataImpl

    public interface ITableData2

extends ITableData

Method Summary
`java.lang.String` `getColumnTypeName(int col)`
`java.sql.Connection` `getConnection()`
`int[]` `getKeyColumns()`
`java.lang.String` `getQualifiedTableName()`
`java.lang.String` `getQuotedColumnName(int col)`
`java.util.List` `getResultColumns()`
`Table` `getSQLTable()`

Methods inherited from interface org.eclipse.datatools.sqltools.data.internal.core.editor.ITableData
`deleteRow, dispose, getColumnCount, getColumnDataAccessor, getColumnHeader, getColumnName, getColumnType, getRows, insertRow, isReadonly, revert, save`

Method Detail

### getQualifiedTableName

    java.lang.String getQualifiedTableName()

### getConnection

    java.sql.Connection getConnection()

### getSQLTable

    Table getSQLTable()

### getQuotedColumnName

    java.lang.String getQuotedColumnName(int col)

### getColumnTypeName

    java.lang.String getColumnTypeName(int col)

### getKeyColumns

    int[] getKeyColumns()

### getResultColumns

    java.util.List getResultColumns()